// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

mod action_row;
pub use self::action_row::ActionRow;

mod application_window;
pub use self::application_window::ApplicationWindow;

mod avatar;
pub use self::avatar::Avatar;

mod carousel;
pub use self::carousel::Carousel;

mod carousel_indicator_dots;
pub use self::carousel_indicator_dots::CarouselIndicatorDots;

mod carousel_indicator_lines;
pub use self::carousel_indicator_lines::CarouselIndicatorLines;

mod clamp;
pub use self::clamp::Clamp;

mod combo_row;
pub use self::combo_row::ComboRow;

mod deck;
pub use self::deck::Deck;

mod enum_value_object;
pub use self::enum_value_object::EnumValueObject;

mod expander_row;
pub use self::expander_row::ExpanderRow;

#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
mod flap;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::flap::Flap;

mod header_bar;
pub use self::header_bar::HeaderBar;

mod header_group;
pub use self::header_group::HeaderGroup;

mod header_group_child;
pub use self::header_group_child::HeaderGroupChild;

mod keypad;
pub use self::keypad::Keypad;

mod leaflet;
pub use self::leaflet::Leaflet;

mod preferences_group;
pub use self::preferences_group::PreferencesGroup;

mod preferences_page;
pub use self::preferences_page::PreferencesPage;

mod preferences_row;
pub use self::preferences_row::PreferencesRow;

mod preferences_window;
pub use self::preferences_window::PreferencesWindow;

mod search_bar;
pub use self::search_bar::SearchBar;

mod squeezer;
pub use self::squeezer::Squeezer;

#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
mod status_page;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::status_page::StatusPage;

#[cfg(feature = "v1_6")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_6")))]
mod style_manager;
#[cfg(feature = "v1_6")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_6")))]
pub use self::style_manager::StyleManager;

#[cfg_attr(feature = "v1_4", deprecated = "Since 1.4")]
mod swipe_group;
#[cfg_attr(feature = "v1_4", deprecated = "Since 1.4")]
pub use self::swipe_group::SwipeGroup;

mod swipe_tracker;
pub use self::swipe_tracker::SwipeTracker;

mod swipeable;
pub use self::swipeable::Swipeable;

#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
mod tab_bar;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::tab_bar::TabBar;

#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
mod tab_page;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::tab_page::TabPage;

#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
mod tab_view;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::tab_view::TabView;

#[cfg_attr(feature = "v1_4", deprecated = "Since 1.4")]
mod title_bar;
#[cfg_attr(feature = "v1_4", deprecated = "Since 1.4")]
pub use self::title_bar::TitleBar;

mod value_object;
pub use self::value_object::ValueObject;

mod view_switcher;
pub use self::view_switcher::ViewSwitcher;

mod view_switcher_bar;
pub use self::view_switcher_bar::ViewSwitcherBar;

mod view_switcher_title;
pub use self::view_switcher_title::ViewSwitcherTitle;

mod window;
pub use self::window::Window;

mod window_handle;
pub use self::window_handle::WindowHandle;

mod enums;
pub use self::enums::CenteringPolicy;
#[cfg(feature = "v1_6")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_6")))]
pub use self::enums::ColorScheme;
pub use self::enums::DeckTransitionType;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::enums::FlapFoldPolicy;
#[cfg(feature = "v1_2")]
#[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
pub use self::enums::FlapTransitionType;
pub use self::enums::HeaderGroupChildType;
pub use self::enums::LeafletTransitionType;
pub use self::enums::NavigationDirection;
pub use self::enums::SqueezerTransitionType;
pub use self::enums::ViewSwitcherPolicy;

pub mod functions;

#[doc(hidden)]
pub mod traits {
    pub use super::action_row::ActionRowExt;
    pub use super::combo_row::ComboRowExt;
    pub use super::deck::DeckExt;
    pub use super::expander_row::ExpanderRowExt;
    pub use super::header_bar::HdyHeaderBarExt;
    pub use super::keypad::KeypadExt;
    pub use super::leaflet::LeafletExt;
    pub use super::preferences_group::PreferencesGroupExt;
    pub use super::preferences_page::PreferencesPageExt;
    pub use super::preferences_row::PreferencesRowExt;
    pub use super::preferences_window::PreferencesWindowExt;
    pub use super::search_bar::HdySearchBarExt;
    pub use super::swipeable::SwipeableExt;
}
#[doc(hidden)]
pub mod builders {
    pub use super::action_row::ActionRowBuilder;
    pub use super::application_window::ApplicationWindowBuilder;
    pub use super::avatar::AvatarBuilder;
    pub use super::carousel::CarouselBuilder;
    pub use super::carousel_indicator_dots::CarouselIndicatorDotsBuilder;
    pub use super::carousel_indicator_lines::CarouselIndicatorLinesBuilder;
    pub use super::clamp::ClampBuilder;
    pub use super::combo_row::ComboRowBuilder;
    pub use super::deck::DeckBuilder;
    pub use super::expander_row::ExpanderRowBuilder;
    #[cfg(feature = "v1_2")]
    #[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
    pub use super::flap::FlapBuilder;
    pub use super::header_bar::HeaderBarBuilder;
    pub use super::header_group::HeaderGroupBuilder;
    pub use super::keypad::KeypadBuilder;
    pub use super::leaflet::LeafletBuilder;
    pub use super::preferences_group::PreferencesGroupBuilder;
    pub use super::preferences_page::PreferencesPageBuilder;
    pub use super::preferences_row::PreferencesRowBuilder;
    pub use super::preferences_window::PreferencesWindowBuilder;
    pub use super::search_bar::SearchBarBuilder;
    pub use super::squeezer::SqueezerBuilder;
    #[cfg(feature = "v1_2")]
    #[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
    pub use super::status_page::StatusPageBuilder;
    pub use super::swipe_tracker::SwipeTrackerBuilder;
    #[cfg(feature = "v1_2")]
    #[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
    pub use super::tab_bar::TabBarBuilder;
    #[cfg(feature = "v1_2")]
    #[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
    pub use super::tab_page::TabPageBuilder;
    #[cfg(feature = "v1_2")]
    #[cfg_attr(docsrs, doc(cfg(feature = "v1_2")))]
    pub use super::tab_view::TabViewBuilder;
    #[cfg_attr(feature = "v1_4", deprecated = "Since 1.4")]
    pub use super::title_bar::TitleBarBuilder;
    pub use super::view_switcher::ViewSwitcherBuilder;
    pub use super::view_switcher_bar::ViewSwitcherBarBuilder;
    pub use super::view_switcher_title::ViewSwitcherTitleBuilder;
    pub use super::window::WindowBuilder;
    pub use super::window_handle::WindowHandleBuilder;
}
